package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.DecimalFormat;

/**
 * @Description : 系统日志表
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 16:58:42.784
 * @Modify      :
 **/
@Data
@Entity
@Table(name="LOG_SYSTEM")
@DynamicInsert
@DynamicUpdate
@Api(value="系统日志表",description = "系统日志表")
public class LogSystem extends BaseBean {

 
    @Column(name="LOG_MODULE_ID")
    @ApiParam(value ="系统模块（枚举）", example = "1")
    private Integer logModuleId;
 
    @Column(name="LOG_IP")
    @ApiParam(value ="服务器IP" , access ="服务器IP")
    private String logIp;
 
    @Column(name="LOG_CLASS")
    @ApiParam(value ="触发路径" , access ="触发路径")
    private String logClass;
 
    @Column(name="LOG_METHOD")
    @ApiParam(value ="触发方法" , access ="触发方法")
    private String logMethod;
 
    @Column(name="LOG_LEVEL_ID")
    @ApiParam(value ="日志级别（1.DEBUG，2.INFO，3.ERROR）" , example ="1")
    private Integer logLevelId;
 
    @Column(name="LOG_MESSAGE")
    @ApiParam(value ="日志信息" , access ="日志信息")
    private String logMessage;
 
    @Column(name="LOG_USER_NAME")
    @ApiParam(value ="操作人名称" , access ="操作人名称")
    private String logUserName;

}
