package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 工厂仓库
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-09-04 15:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name="T_WMS_CUSTOMER_SENDTO")
@Api("客户发往地信息")
public class CustomerSendTo extends BaseBean {

    @Column(name="CUSTOMER_ID")
    @ApiParam("客户端编号")
    public String customerId;

    @Column(name="PART_ID")
    @ApiParam("零件编号")
    public String partId;

    @Column(name="CUSTOMER_PARTNO")
    @ApiParam("客户零件号")
    public String customerPartNo;

    @Column(name="ERP_PARTNO")
    @ApiParam("ERP零件号")
    public String ERPPartNo;

    @Column(name="CUSTOMER_SENDTO_CODE")
    @ApiParam("客户发往地代码")
    public String customerSendToCode;

    @Column(name="CUSTOMER_SENDTO_NAME")
    @ApiParam("客户发往地名称")
    public String customerSendToName;
}
